Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000112Core InformAssertions and creationspublic2010-06-23 19:432010-07-01 23:07
Reporterektemple 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilitysometimes
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6E59 
Target VersionFixed in Version6E72 
Summary0000112: Compiler crashes with code 10 when table defines an object that exists in another context
DescriptionInform will sometimes fail to catch that an object defined in a table has also been defined in another context (e.g. a room). When this happens, the compiler halts with code 10 during the drawing inferences phase.

It is unclear precisely what causes Inform to miss the duplication of the object name. For the source code given, the following are necessary conditions:

1) The room must be defined as part of a complex assertion ("Up from Entrance Chamber is Shaft") rather than a simple one (e.g., "Shaft is a room").
2) The object defined in the table must have at least one property defined along with it.

Change either of these and Inform will correctly diagnose the problem, avoiding Type 10 failure.
Minimal Source Text To Reproduce
Entrance Chamber is a room.

Up from Entrance Chamber is the Shaft. 

A badass is a kind of man. Some badasses are defined by the Table of Badassery. A badass has a number 
called the BA quotient.

Table of Badassery
badass	BA quotient
Shaft	10
Additional InformationThis is possibly the same as issue 0000044, but it seems to arise from a different situation.
TagsNo tags attached.
Effect(critical) Compiler crashes
Attached Files

- Relationships

-  Notes
(0000174)
graham (administrator)
2010-06-29 11:23

A crash while attempting to produce a helpful problem messages. Some days, it just doesn't pay to be helpful. Fixed.

- Issue History
Date Modified Username Field Change
2010-06-23 19:43 ektemple New Issue
2010-06-23 19:47 jmcgrew Effect (critical) Compiler reports internal error => (critical) Compiler crashes
2010-06-23 19:47 jmcgrew Severity mild => critical
2010-06-23 19:47 jmcgrew Status new => confirmed
2010-06-23 19:47 jmcgrew Summary OS X: Code 10 compiler error => Compiler crashes with code 10 when table defines an object that exists in another context
2010-06-23 19:47 jmcgrew Additional Information Updated View Revisions
2010-06-29 11:23 graham Note Added: 0000174
2010-06-29 11:23 graham Status confirmed => resolved
2010-06-29 11:23 graham Resolution open => fixed
2010-06-29 11:23 graham Assigned To => graham
2010-06-30 18:07 jmcgrew Fixed in Version => 6E72
2010-07-01 23:07 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker